Welcome to EMS SQL Backup for PostgreSQL!

EMS SQL Backup for PostgreSQL is an easy-to-use GUI tool to create backups for multiple PostgreSQL servers from a single console. You can use automatic backup tasks with advanced schedules and store them in local or remote folders or cloud storages.

Key features

  • Easy-to use wizard for creating backup tasks
  • Support for most of PostgreSQL server versions: starting with 7.4 up to the latest one
  • Secure connection with SSL
  • Connecting via SSH tunnelling
  • Ability to manage backups of all your servers from a single user-friendly application
  • Automation of backup process
  • Backup of either data, structure or both
  • Implemented compression to reduce backup size
  • Support of cloud storages: Dropbox, Amazon S3, Microsoft Azure, Google Drive
  • Support of multiple network protocols to store backup files: FTP, SFTP, Windows network folders (CIFS)
  • Encryption of backup files with password or Blowfish and AES algorithms
  • Displaying of all existing backups for each destination
  • Easy wizard to create tasks for scheduled backup process
  • All your databases can be backed up within a single task
  • Quick backups with pre-defined options
  • Quick restore from backup launches history
  • Monitoring task execution results in real time
  • Desktop and email notifications for task start and completion
  • Any task can be paused or re-started at any time

Backup tasks tab

Check the Get started topic to get quick overview of the application.

See also:

Get started

FAQ


Get started

That's how the program looks when you first start it:

The application has two main tabs:

Backup tasks Backup tasks

It displays the list of registered servers in the left section to manage servers and run backups and tasks overview to monitor backup tasks and start/stop/pause them.

Backup targets Backup storages

This tab stores all storages created for backups. You can create new or edit existing storage, which will be used to store backup files. We would recommend to create backup storages before creating tasks.

menu Options

From this menu you can change program language and color schema, manage program licenses and check for updates.

To start working with the program

1. Register the server(s) with Register server ... link on the left panel.

2. Create backup storage(s) that will be used to backup files on the Backup targets Backup storages tab.

3. Create new backup task from the server popup menu or run the backup process manually.

See also:

FAQ

Register server wizard


What's new

EMS SQL Backup for PostgreSQL
  • Index
  • « Prev
  • Next »

What's new?

Program version | Release date
EMS SQL Backup for PostgreSQL 1.7 | December 26, 2022

  • Support for PostgreSQL 15 implemented.
  • The case of the database name was wrong on restoring into a new database. Fixed now.
  • The 'No such file or directory' error occurred on restoring from compressed file. Fixed now.
  • Other minor fixes and improvements.

See also:

Version history


System requirements

  • Microsoft Windows Server 2008 R2 SP1, Microsoft Windows Server 2012, Microsoft Windows Server 2012 R2, Microsoft Windows Server 2016, Microsoft Windows 7 SP1, Microsoft Windows 8/8.1, Microsoft Windows 10, Microsoft Windows 11
  • CPU: x86 or x86-64 processor
  • PostgreSQL server starting with 7.4 and up to the 14 version
  • 1024 MB RAM or more
  • 50 Mb of available disk space for program installation.


Feature matrix

The set of features included in the different versions of the EMS SQL Backup for PostgreSQL are listed in the feature matrix given below.

Features list | Pro | Standard | Free
Impressive tool for creating backups
Ability to manage backups of all your servers from a single user-friendly application | + | + | +
Step-by-step wizards to set advanced backup options | + | + | +
Backup of either data, structure or both | + | + | +
Implemented compression to reduce backup size | + | + | +
Black list to exclude objects from backup | + | + | +
White list to filter objects or schemas | + | + | +
Automation of backup process | + | + | +
Quick backup with pre-defined options | + | + | +
Multi-process backup execution | + | + | +
Quick restore from launches history | + | + | +
Restore using Restore database wizard | + | + | -
Password protected zip-archives | + | + | +
Encryption of backup files with Blowfish algorithm | + | + | -
Encryption of backup files with AES algorithm | + | - | -
Immediate compression of all backup files | + | + | +
Managing multiple PostgreSQL servers
Support for most of PostgreSQL server versions: starting with 7.4 up to the latest one | + | + | +
Secure connection with SSL | + | + | +
Connecting via SSH tunnelling | + | + | -
Managing SQL backups across multiple PostgreSQL servers | + | + | +
Number of maintained databases for scheduled backup | unlimited | unlimited | 3
Support of different storages
Support of cloud storages: Dropbox, Google Drive | + | + | +
Support of Amazon S3 and Microsoft Azure storages | + | - | -
Support of FTP and Windows network folders (CIFS) | + | + | +
Support of SFTP storage | + | + | -
Displaying of all created backups for each storage | + | + | +
Easy scheduling of backup tasks
Advanced wizard to create scheduled backup tasks | + | + | +
Several schedules can be set for the task | + | + | +
Switch between local time and UTC format | + | + | +
Monitoring task execution
Monitoring task execution results in real time | + | + | +
Desktop and email notifications for task start and completion | + | + | +
Any task can be paused or re-started at any time | + | + | +


Installation

EMS SQL Backup for PostgreSQL
  • Index
  • « Prev
  • Next »

Installation of EMS SQL Backup for PostgreSQL

If you are installing EMS SQL Backup for PostgreSQL for the first time on your PC:

  • download the EMS SQL Backup for PostgreSQL installation package from the download page available at our site;
  • unzip the downloaded file to any local directory, e.g. C:\unzipped;
  • run EMSPgBackup-1.x.x.xxxx.msi from the local directory and follow the instructions of the installation wizard.

There are two modes of the EMS SQL Backup for PostgreSQL Console installation: Typical и Custom. If you choose the Custom mode then you will be able to define the destination program folder and specify if the help-files and localizations should be copied there or not.

After the installation process is completed, find the EMS SQL Backup for PostgreSQL shortcut in the corresponding group of Windows Start menu.

If you want to upgrade an installed copy of EMS SQL Backup for PostgreSQL to the latest version:

  • download the full installation package of EMS SQL Backup for PostgreSQL from the download page available at our site or use Check for updates in the menu collapsed menu;
  • close EMS SQL Backup for PostgreSQL application if it is running;
  • repeat the steps you have made for the first-time installation;
  • run EMS SQL Backup for PostgreSQL using its shortcut in the corresponding group of Windows Start menu.

See also:

FAQ


Purchasing

All purchases are provided by Digital River registration service. The Digital River order process is protected via a secure connection and makes on-line ordering by credit/debit card quick and safe.

Digital River is a global e-commerce provider for software and shareware sales via the Internet. It accepts payments in US Dollars, Euros, Pounds Sterling, Japanese Yen, Australian Dollars, Canadian Dollars or Swiss Franks by Credit Card (Visa, MasterCard/EuroCard, American Express, Diners Club), Bank/Wire Transfer, Check or Cash.

If you want to review your order information, or you have questions about ordering or payments please visit our Customer Care Center, provided by Digital River.

Please note that all of our products are delivered via ESD (Electronic Software Delivery) only. After purchase you will be able to immediately download the registration keys or passwords. Also you will receive a copy of registration keys or passwords by email. Please make sure to enter a valid email address in your order. If you have not received the keys within 2 hours, please, contact us at sales@sqlmanager.net.

Product distribution | MyCommerce/Digital River
EMS SQL Backup for PostgreSQL (Business license) + 1-Year Maintenance* | Register Now!
EMS SQL Backup for PostgreSQL (Business license) + 2-Year Maintenance*
EMS SQL Backup for PostgreSQL (Business license) + 3-Year Maintenance*
EMS SQL Backup for PostgreSQL PRO (Business license) + 1-Year Maintenance*
EMS SQL Backup for PostgreSQL PRO (Business license) + 2-Year Maintenance*
EMS SQL Backup for PostgreSQL PRO (Business license) + 3-Year Maintenance*
EMS SQL Backup for PostgreSQL (Non-commercial license) + 1-Year Maintenance*
EMS SQL Backup for PostgreSQL (Non-commercial license) + 2-Year Maintenance*
EMS SQL Backup for PostgreSQL (Non-commercial license) + 3-Year Maintenance*
EMS SQL Backup for PostgreSQL PRO (Non-commercial license) + 1-Year Maintenance*
EMS SQL Backup for PostgreSQL PRO (Non-commercial license) + 2-Year Maintenance*
EMS SQL Backup for PostgreSQL PRO (Non-commercial license) + 3-Year Maintenance*
EMS SQL Backup for PostgreSQL (Trial/Free version) | Download Now!

*EMS Maintenance Program provides the following benefits:

  • Free software bug fixes, enhancements, updates and upgrades during the maintenance period
  • Free unlimited communications with technical staff for the purpose of reporting software failure
  • Free reasonable number of communications for the purpose of consultation on operational aspects of the software

After your maintenance expires you will not be able to update your software or get technical support. To protect your investments and have your software up-to-date, you need to renew your maintenance online or contact our sales department.

See also:

How to register

FAQ


How to register

EMS SQL Backup for PostgreSQL
  • Index
  • « Prev
  • Next »

How to register EMS SQL Backup for PostgreSQL

After you have received the license key, you need to activate the license from the application:

  1. Run EMS SQL Backup for PostgreSQL.
  2. Сlick the menu collapsed menu item in the right upper top and open License management wizard.
  3. Follow the steps in the Wizard.

To remove a license from the application you need to deactivate it. Later you can activate it again on a new PC.

See also:

Purchasing

License activation

License deactivation


Version history

Product name | Version | Release date
EMS SQL Backup for PostgreSQL | Version 1.6 | April 29, 2022
EMS SQL Backup for PostgreSQL | Version 1.5 | May 27, 2021
EMS SQL Backup for PostgreSQL | Version 1.4 | June 3, 2020
EMS SQL Backup for PostgreSQL | Version 1.3 | December 16, 2019
EMS SQL Backup for PostgreSQL | Version 1.2 | November 14, 2019
EMS SQL Backup for PostgreSQL | Version 1.1 | July 15, 2019
EMS SQL Backup for PostgreSQL | Version 1.0 | February 19, 2019

Version 1.6

  • Restore database wizard has been implemented.
  • Creating of new storage is now available from wizards and editor tabs.
  • Support for PostgreSQL 14 added.
  • Easy management of storage selection.
  • Limit on simultaneous run of several app instances to provide stable work.
  • The application crashed after running for a long time on remote desktop. Fixed now.
  • Other fixes and improvements.

Version 1.5

  • Tags for file naming masks added in backup tasks.
  • File encryption added for backup copies uploaded into backup storage:

- ZIP-archives protected with password (all license types);

- with Blowfish encrypted algorithm (Standard and Professional license);

- with AES encrypted algorithm (Professional license).

  • Compression of encrypted backup files implemented.
  • Support for Ed25519 keys added for SSH connections.
  • Added support for PostgreSQL 13 server version.
  • Performance optimization and minor bug fixes.
  • Many other improvements and fixes.

Version 1.4

  • The speed of creating backup files considerably increased.
  • The container list is now retrieved automatically in Azure storage.
  • Notifications are now sent out on the lost connection to the server.
  • Launches history can now be cleaned up by date interval or launches max count.
  • Related backups can be removed on history cleanup.
  • Implemented filter, search, and copy in the task history.
  • Many other improvements and fixes.

Version 1.3

  • Support for PostgreSQL 12.
  • Restore of the database to the selected state from launches history.
  • Quick retrieving of backups from launches history.
  • Now the default database for connecting can be set for the server.
  • Improved performance and stability of the application.
  • Other minor fixes.

Version 1.2

  • Support for SSH tunneling.
  • Added history for task launches with logs.
  • Database descriptions are now displayed on cursor hovering.
  • Improved performance and stability.
  • Other minor fixes.

Version 1.1

  • Directory backup format added.
  • Desktop and email notifications are now available for task start and completion.
  • Several databases can be selected for quick backup now.
  • Backup storage status is displayed now.
  • Backup files can be downloaded and deleted from storage now.
  • Backup tasks can be launched manually from the task list.
  • Implemented desktop notifications for backup file download.
  • French and German language support added for the application.
  • Many other improvements to better functionality and usability.

Version 1.0 (first public release)

Basic features:

  • Easy-to use wizard for creating backup tasks
  • Support of all PostgreSQL server versions starting with 7.4 up to the latest one
  • Secure connection with SSL
  • Ability to manage backups of all your servers from a single user-friendly application
  • Automation of backup process
  • Backup of either data, structure or both
  • Implemented compression to reduce backup size
  • Support of cloud storages: Dropbox, Amazon S3, Microsoft Azure, Google Drive
  • Support of multiple network protocols to store backup files: FTP, SFTP, Windows network folders (CIFS)
  • Displaying of all existing backups for each destination
  • Easy wizard to create tasks for scheduled backup process
  • All your databases can be backed up within a single task
  • Quick backups with pre-defined options
  • Monitoring task execution results in real time
  • Any task can be paused or re-started at any time

and more...

Scroll to top

See also:

What's new


FAQ

EMS SQL Backup for PostgreSQL
  • Index
  • « Prev
  • Next »

FAQ for EMS SQL Backup for PostgreSQL

Please read this page with frequently asked questions if you have any questions about use of EMS SQL Backup for PostgreSQL.

  • What versions of PostgreSQL server does EMS SQL Backup for PostgreSQL support?
  • Must EMS SQL Backup for PostgreSQL be installed on each server which I want to work with?
  • Whether the servers, EMS SQL Backup for PostgreSQL works with, must be located within one local network?
  • Can EMS SQL Backup for PostgreSQL reduce backup size?
  • Can I restore a backup file with EMS SQL Backup for PostgreSQL?
  • Can I only backup database structure?
  • Can I filter database objects and exclude some objects from backup?
  • My servers are located in different time zones. At what time zone will tasks be launched?
  • Can policy tasks have their own execution schedules?
  • How can I see task status in EMS SQL Backup for PostgreSQL?
  • Is it possible to launch quick backup without defining any options?
  • Can I send backup files to several destinations simultaneously?
  • Where can I see the list of the created backup files?
  • Can I see the backup files created by other software in the backup files list?
  • Can I assign default targets to the server?
  • How can I monitor task execution?
  • What are the differences between different versions of EMS SQL Backup for PostgreSQL?
  • May I not pay the program maintenance?

Questions & answers

Q: What versions of PostgreSQL server does EMS SQL Backup for PostgreSQL support?

A: EMS SQL Backup for PostgreSQL works with all server versions starting with 7.4 up to the latest one.

Q: Must EMS SQL Backup for PostgreSQL be installed on each server which I want to work with?

A: No, you need to install the console on the PC, which you want to administer tasks from. You can register all your servers and manage them from a single console.

Q: Whether the servers, EMS SQL Backup for PostgreSQL works with, must be located within one local network?

A: Servers can be located anywhere: in the local or remote network.

Q: Can EMS SQL Backup for PostgreSQL reduce backup size?

A: You can compress backup files for plain SQL and GZIP archives.

Q: Can I restore a backup file with EMS SQL Backup for PostgreSQL?

A: Yes, you can either use Quick restore or run Database restore wizards to restore databases with enhanced options.

Q: Can I only backup database structure?

A: In the Backup task wizard you can select either to backup data, metadata or both.

Q: Can I filter database objects and exclude some objects from backup?

A: Yes, you can filter objects by schema or name using wildcards. Either you could add objects to the black list to exclude them from backup.

Q: My servers are located in different time zones. At what time zone will tasks be launched?

A: By default tasks are created and launched in local application time, but you can change it to UTC for any server in the Create schedule wizard. In this case all tasks will be performed in UTC time zone.

Q: Can backup tasks have their own execution schedules?

A: Yes, each task can have one or more schedules.

Q: How can I see task status in EMS SQL Backup for PostgreSQL?

A: You can see task overview from the main window of the application.

Q: Is it possible to launch quick backup without defining any options?

A: Yes, you need to select the required database and click the Quick backup icon on the main pages to launch backup process with pre-defined options for this server. Backup file will be sent to the default storage assigned for the server.

Q: Can I send backup files to several destinations simultaneously?

A: Yes, you can select several storages and backup files will be sent to each of them.

Q: Where can I see the list of the created backup files?

A: You can see the list of all created backup files for each backup storage on the Backup storages tab.

Q: Can I see the backup files created by other software in the backup files list?

A: You can only see the files with BACKUP extension in the files list, created with our software.

Q: Can I assign default storages to the server?

A: You need to set at least one default storage for each server to be able to perform Quick backup. The storages can be selected in the Server registration info dialog.

Q: How can I monitor task execution?

A: You can view task status and info about launches on the main page of the program. Also you can set desktop or email notifications on task start and completion.

Q: What are the differences between different versions of EMS SQL Backup for PostgreSQL?

A: You can view the list of all functional differences between EMS SQL Backup for PostgreSQL versions in the Feature Matrix.

Q: May I not pay the program maintenance?

A: The basic price of EMS SQL Backup for PostgreSQL includes 1 Year Maintenance. Once the Maintenance term expires, you will be able to continue using the software without any limitations; however, you won’t have access to any product updates released after your maintenance expiration date.

Scroll to top

If you still have any questions, contact us at our Support Center.


Other EMS Products

Quick navigation

MySQL

Microsoft SQL Server

PostgreSQL

InterBase / FireBird

Oracle

IBM DB2

Tools & components

MySQL

 | SQL Management Studio for MySQL EMS SQL Management Studio for MySQL is a complete solution for database administration and development. SQL Studio unites the must-have tools in one powerful and easy-to-use environment that will make you more productive than ever before!
 | SQL Manager for MySQL Simplify and automate your database development process, design, explore and maintain existing databases, build compound SQL query statements, manage database user rights and manipulate data in different ways.
dataexport | Data Export for MySQL Export your data to any of 20 most popular data formats, including MS Access, MS Excel, MS Word, PDF, HTML and more.
dataimport | Data Import for MySQL Import your data from MS Access, MS Excel and other popular formats to database tables via user-friendly wizard interface.
datapump | Data Pump for MySQL Migrate from most popular databases (MySQL, PostgreSQL, Oracle, DB2, InterBase/Firebird, etc.) to MySQL.
datagenerator | Data Generator for MySQL Generate test data for database testing purposes in a simple and direct way. Wide range of data generation parameters.
dbcomparer | DB Comparer for MySQL Compare and synchronize the structure of your databases. Move changes on your development database to production with ease.
extract | DB Extract for MySQL Create database backups in the form of SQL scripts, save your database structure and table data as a whole or partially.
query | SQL Query for MySQL Analyze and retrieve your data, build your queries visually, work with query plans, build charts based on retrieved data quickly and more.
datacomparer | Data Comparer for MySQL Compare and synchronize the contents of your databases. Automate your data migrations from development to production database.
 | Scroll to top

Microsoft SQL Server

 | SQL Management Studio for SQL Server EMS SQL Management Studio for SQL Server is a complete solution for database administration and development. SQL Studio unites the must-have tools in one powerful and easy-to-use environment that will make you more productive than ever before!
 | EMS SQL Backup for SQL Server Perform backup and restore, log shipping and many other regular maintenance tasks on the whole set of SQL Servers in your company.
sqladmin | SQL Administrator for SQL Server Perform administrative tasks in the fastest, easiest and most efficient way. Manage maintenance tasks, monitor their performance schedule, frequency and the last execution result.
 | SQL Manager for SQL Server Simplify and automate your database development process, design, explore and maintain existing databases, build compound SQL query statements, manage database user rights and manipulate data in different ways.
dataexport | Data Export for SQL Server Export your data to any of 20 most popular data formats, including MS Access, MS Excel, MS Word, PDF, HTML and more
dataimport | Data Import for SQL Server Import your data from MS Access, MS Excel and other popular formats to database tables via user-friendly wizard interface.
datapump | Data Pump for SQL Server Migrate from most popular databases (MySQL, PostgreSQL, Oracle, DB2, InterBase/Firebird, etc.) to Microsoft® SQL Server™.
datagenerator | Data Generator for SQL Server Generate test data for database testing purposes in a simple and direct way. Wide range of data generation parameters.
dbcomparer | DB Comparer for SQL Server Compare and synchronize the structure of your databases. Move changes on your development database to production with ease.
extract | DB Extract for SQL Server Create database backups in the form of SQL scripts, save your database structure and table data as a whole or partially.
query | SQL Query for SQL Server Analyze and retrieve your data, build your queries visually, work with query plans, build charts based on retrieved data quickly and more.
datacomparer | Data Comparer for SQL Server Compare and synchronize the contents of your databases. Automate your data migrations from development to production database.
 | Scroll to top

PostgreSQL

 | SQL Management Studio for PostgreSQL EMS SQL Management Studio for PostgreSQL is a complete solution for database administration and development. SQL Studio unites the must-have tools in one powerful and easy-to-use environment that will make you more productive than ever before!
 | EMS SQL Backup for PostgreSQL Creates backups for multiple PostgreSQL servers from a single console. You can use automatic backup tasks with advanced schedules and store them in local or remote folders or cloud storages
 | SQL Manager for PostgreSQL Simplify and automate your database development process, design, explore and maintain existing databases, build compound SQL query statements, manage database user rights and manipulate data in different ways.
dataexport | Data Export for PostgreSQL Export your data to any of 20 most popular data formats, including MS Access, MS Excel, MS Word, PDF, HTML and more
dataimport | Data Import for PostgreSQL Import your data from MS Access, MS Excel and other popular formats to database tables via user-friendly wizard interface.
datapump | Data Pump for PostgreSQL Migrate from most popular databases (MySQL, SQL Server, Oracle, DB2, InterBase/Firebird, etc.) to PostgreSQL.
datagenerator | Data Generator for PostgreSQL Generate test data for database testing purposes in a simple and direct way. Wide range of data generation parameters.
dbcomparer | DB Comparer for PostgreSQL Compare and synchronize the structure of your databases. Move changes on your development database to production with ease.
extract | DB Extract for PostgreSQL Create database backups in the form of SQL scripts, save your database structure and table data as a whole or partially.
query | SQL Query for PostgreSQL Analyze and retrieve your data, build your queries visually, work with query plans, build charts based on retrieved data quickly and more.
datacomparer | Data Comparer for PostgreSQL Compare and synchronize the contents of your databases. Automate your data migrations from development to production database.
 | Scroll to top

InterBase / Firebird

 | SQL Management Studio for InterBase/Firebird EMS SQL Management Studio for InterBase and Firebird is a complete solution for database administration and development. SQL Studio unites the must-have tools in one powerful and easy-to-use environment that will make you more productive than ever before!
 | SQL Manager for InterBase/Firebird Simplify and automate your database development process, design, explore and maintain existing databases, build compound SQL query statements, manage database user rights and manipulate data in different ways.
dataexport | Data Export for InterBase/Firebird Export your data to any of 20 most popular data formats, including MS Access, MS Excel, MS Word, PDF, HTML and more
dataimport | Data Import for InterBase/Firebird Import your data from MS Access, MS Excel and other popular formats to database tables via user-friendly wizard interface.
datapump | Data Pump for InterBase/Firebird Migrate from most popular databases (MySQL, SQL Server, Oracle, DB2, PostgreSQL, etc.) to InterBase/Firebird.
datagenerator | Data Generator for InterBase/Firebird Generate test data for database testing purposes in a simple and direct way. Wide range of data generation parameters.
dbcomparer | DB Comparer for InterBase/Firebird Compare and synchronize the structure of your databases. Move changes on your development database to production with ease.
extract | DB Extract for InterBase/Firebird Create database backups in the form of SQL scripts, save your database structure and table data as a whole or partially.
query | SQL Query for InterBase/Firebird Analyze and retrieve your data, build your queries visually, work with query plans, build charts based on retrieved data quickly and more.
datacomparer | Data Comparer for InterBase/Firebird Compare and synchronize the contents of your databases. Automate your data migrations from development to production database.
 | Scroll to top

Oracle

 | SQL Management Studio for Oracle EMS SQL Management Studio for Oracle is a complete solution for database administration and development. SQL Studio unites the must-have tools in one powerful and easy-to-use environment that will make you more productive than ever before!
 | SQL Manager for Oracle Simplify and automate your database development process, design, explore and maintain existing databases, build compound SQL query statements, manage database user rights and manipulate data in different ways.
dataexport | Data Export for Oracle Export your data to any of 20 most popular data formats, including MS Access, MS Excel, MS Word, PDF, HTML and more.
dataimport | Data Import for Oracle Import your data from MS Access, MS Excel and other popular formats to database tables via user-friendly wizard interface.
datapump | Data Pump for Oracle Migrate from most popular databases (MySQL, PostgreSQL, MySQL, DB2, InterBase/Firebird, etc.) to Oracle
datagenerator | Data Generator for Oracle Generate test data for database testing purposes in a simple and direct way. Wide range of data generation parameters.
dbcomparer | DB Comparer for Oracle Compare and synchronize the structure of your databases. Move changes on your development database to production with ease.
extract | DB Extract for Oracle Create database backups in the form of SQL scripts, save your database structure and table data as a whole or partially.
query | SQL Query for Oracle Analyze and retrieve your data, build your queries visually, work with query plans, build charts based on retrieved data quickly and more.
datacomparer | Data Comparer for Oracle Compare and synchronize the contents of your databases. Automate your data migrations from development to production database.
 | Scroll to top

IBM DB2

 | SQL Manager for DB2 Simplify and automate your database development process, design, explore and maintain existing databases, build compound SQL query statements, manage database user rights and manipulate data in different ways.
dataexport | Data Export for DB2 Export your data to any of 20 most popular data formats, including MS Access, MS Excel, MS Word, PDF, HTML and more.
dataimport | Data Import for DB2 Import your data from MS Access, MS Excel and other popular formats to database tables via user-friendly wizard interface.
datapump | Data Pump for DB2 Migrate from most popular databases (MySQL, PostgreSQL, Oracle, MySQL, InterBase/Firebird, etc.) to DB2
datagenerator | Data Generator for DB2 Generate test data for database testing purposes in a simple and direct way. Wide range of data generation parameters.
extract | DB Extract for DB2 Create database backups in the form of SQL scripts, save your database structure and table data as a whole or partially.
query | SQL Query for DB2 Analyze and retrieve your data, build your queries visually, work with query plans, build charts based on retrieved data quickly and more.
 | Scroll to top

Tools & components

advancedexport | Advanced Data Export for RAD Studio VCL Advanced Data Export for RAD Studio VCL allows you to save your data in the most popular office programs formats.
advancedexport | Advanced Data Export .NET Advanced Data Export .NET is a component for Microsoft Visual Studio .NET that will allow you to save your data in the most popular data formats for the future viewing, modification, printing or web publication. You can export data into MS Access, MS Excel, MS Word (RTF), PDF, TXT, DBF, CSV and more! There will be no need to waste your time on tiresome data conversion - Advanced Data Export will do the task quickly and will give the result in the desired format.
advancedimport | Advanced Data Import for RAD Studio VCL Advanced Data Import for RAD Studio VCL will allow you to import your data to the database from files in the most popular data formats.
pdfgenerator | Advanced PDF Generator for RAD Studio Advanced PDF Generator for RAD Studio gives you an opportunity to create PDF documents with your applications written on Delphi or C++ Builder.
querybuilder | Advanced Query Builder for RAD Studio VCL Advanced Query Builder for RAD Studio VCL is a powerful component for Delphi and C++ Builder intended for visual building SQL statements for the SELECT, INSERT, UPDATE and DELETE clauses.
excelreport | Advanced Excel Report for RAD Studio Advanced Excel Report for RAD Studio is a powerful band-oriented generator of template-based reports in MS Excel.
advancedlocalizer | Advanced Localizer for RAD Studio VCL Advanced Localizer for RAD Studio VCL is an indispensable component for Delphi for adding multilingual support to your applications.
 | Scroll to top


Servers

To start working with the program you need to register server(s). The full list of available databases will be loaded automatically.

Server explorer

The Explorer area allows you to access server servers and databases, register new servers, edit existing registrations or unregister them, create scheduled tasks and run backups manually.

See also:

Getting Started

Backup tasks

Backup targets

Options


Register server wizard

This wizard guides you through the server registration. To launch the wizard select the registerServer Register Server popup menu item in the server explorer area.

Steps

Welcome to register wizard server

Specifying connection parameters

Specifying tunneling settings

Selecting backup targets

Setting general options

Setting notification options

Performing operation

See also:

Server registration info


Welcome to register server wizard

The first step displays general information about the wizard.

Register server - Welcome step1

Next step >>


Specifying connection parameters

This step provides you with major set of options required to register a server.

Host

Define the server name or its IP address.

Alias

Define the server alias which is displayed in the program. By default, a server alias is the same as <server_name>.

DB to connect

Input the name of the database for automatic connection.

Login

Input the user name to connect to the server.

Password

Specify the password for the selected user.

Register server - Specifying connection info

SSL mode

Select the required SSL mode: Disabled, Preferred or Required.

Timeout

Use this option to restrict time for connecting to the server.

Method

Select direct connection to the server or connection via SSH tunnel. Set SSH tunnelling options at the next step.

Test connection

You can test specified connection settings by pressing this button.

<< Previous step

Next step >>


Specifying tunneling settings

Set the tunneling options, if SSH tunnel method was selected at the previous step.

Host

Input the name of the host where SSH server is running.

Port

Set the port value where SSH server is activated.

Login

Specify the user on the machine where SSH server is running.

Password

Specify the password for the selected user.

Register server - Specifying tunnelling settings

Key

Select the private key file for authentication.

Passphrase

Enter the passphrase.

<< Previous step

Next step >>


Selecting backup storages

At this step you need to select at least one backup storage to store database backup(s). The backup target destination can be created on the Backup targets Backup storages tab in the main program window.

Use the selectall Select All or unselectall Unselect All buttons to select or unselect all the storages at once. The invertselection Invert Selection button allows you to reverse the storage selection.

Use the addtarget Register backup storage button to launch the Register backup storage wizard.

Backup protection

Select encryption type for the selected storage(s). Note, that Blowfish and AES algorithms are supported in Standard and Professional license type only.

Password

Set the password for backup files.

Confirm password

Re-enter the password.

Compression level

This control allows you to set the compression level for all backup files sent to storage. The values are ranged 0-9. Select 0 if no compression is needed.

Register server - Selecting backup targets

Select one or more targets and click the Next button.

<< Previous step

Next step >>


Setting general options

At this step of the wizard input the description for the server being registered.

Register server - Specifying general options

<< Previous step

Next step >>


Setting notification options

If needed, enable sending notifications on losing connection to the server being registered.

checkbox Show desktop notification

Enable the option to display desktop notifications on connection lost.

Register server - Setting notifications

Email notification recipients

Add email address for sending out lost connection info messages.

<< Previous step

Next step >>


Performing the operation

This step informs you that all necessary options have been set, and you can start the process.

Register server - Performing operation

Press the Finish button to register the server.

<< Previous step


Server registration info

Server registration info window displays settings that have been defined on server registration. To open it use serverRegistrationInfo Server registration info context menu item in server explorer.

Use this dialog to view and edit registration properties of the server:

Server connection info

SSH settings

Backup storages

General settings

Notifications

See also:

Register Server Wizard


Server connection info

This tab allows you to view and edit connection properties for the selected server.

Host

Define the server name or its IP address.

Alias

Define the server alias which is displayed in the program. By default, a server alias is the same as <server_name>.

DB to connect

Input the name of the database for automatic connection.

Login

Input the user name to connect to the server.

Password

Specify the password for the selected user.

Server Registration Info - Connection

SSL mode

Select the required SSL mode: Disabled, Preferred, Required.

Timeout

Use this option to restrict time for connecting to the server.

Method

Select direct connection to the server or connection via SSH tunnel.

Test connection

You can test specified connection settings by pressing this button.


SSH settings

At this tab you can edit tunneling options, if SSH tunnel method was selected for the server.

Host

Input the name of the host where SSH server is running.

Port

Set the port value where SSH server is activated.

Login

Specify the user on the machine where SSH server is running.

Password

Specify the password for the selected user.

Server Registration Info - SSH settings

Key

Select the private key file for authentication.

Passphrase

Enter the passphrase.


Backup storages

At this tab you can manage backup storages for the selected server. The backups created for this server will be automatically sent to all selected devices.

Also these settings will be used as default for [image] Quick backup operation.

Use the selectall Select All or unselectall Unselect All buttons to select or unselect all the storages at once. The invertselection Invert Selection button allows you to reverse the storage selection.

Use the addtarget Register backup storage button to launch the Register backup storage wizard.

Backup protection

Select encryption type for the selected storage. Note, that Blowfish and AES algorithms are supported in Standard and Professional license type only.

Password

Set the password for backup files.

Confirm password

Re-enter the password.

Compression level

This control allows you to set the compression level for all backup files sent to storage. The values are ranged 0-9. Select 0 if no compression is needed.

Server Registration Info - Backup targets

Click the highlighted item to remove it from the list of active storages. The list of available storages can be edited on Backup targets Backup storages tab. You can add new destinations with Register backup storage wizard.


General settings

At this tab you can view and edit server description.

Server Registration Info - General


Notifications

Add or edit notification type to be sent on losing connection to the server.

checkbox Show desktop notification

Enable the option to display desktop notifications on connection lost.

Email notification recipients

Add or remove email address for sending out lost connection info messages.

Server Registration Info - Notifications


Backup tasks

On the Backup tasks Backup tasks tab you can view general information about the server, launch [image] Quick backup, backup database from the server popup menu (Backup database...), create new tasks and get info about currently running tasks.

Backup tasks tab

All task launches are displayed in the area below. To get extended info about backup process use Show log popup menu item.

You can use Quick restore from the launches popup menu to restore the database to the selected state or download the backup file with Get Backup option.

See also:

Backup database wizard

Create task wizard

Task editor

Create schedule wizard

Executing tasks

Getting backup from history

Quick restore

Backup log


Backup database wizard

This wizard guides you through backup process. To launch the wizard select the database in the Database explorer and select [image] Backup database item from the popup menu.

Steps

Welcome step

Specifying backup source

Specifying backup storage

Defining backup file options

Specifying content of backup

Configuring objects filter

Configuring structure of backup script

Configuring backup security options

Performing operation

Backup process log

See also:

Create task wizard


Welcome step

The first step displays general information about the wizard.

Backup database - Welcome step

Next step >>


Specifying backup source

At this step you need to select the database(s) to create backup for.

Use the selectall Select All or unselectall Unselect All buttons to select or unselect all the servers at once. The invertselection Invert Selection button allows you to reverse the server selection.

Server

Select the server for creating backup.

Databases

Highlight the database name to add it to the list for creating backups.

Backup database - Specifying backup source

<< Previous step

Next step >>


Specifying backup storage

Select the storage(s) to send backup files to. You can select more than one storage.

Use the selectall Select All or unselectall Unselect All buttons to select or unselect all the storages at once. The invertselection Invert Selection button allows you to reverse the storage selection.

Use the addtarget Register backup storage button to launch the Register backup storage wizard.

Backup protection

Select encryption type for the selected storage. Note, that Blowfish and AES algorithms are supported in Standard and Professional license type only.

Password

Set the password for backup files.

Confirm password

Re-enter the password.

Compression level

This control allows you to set the compression level for all backup files sent to storage. The values are ranged 0-9. Select 0 if no compression is needed.

Backup database - Specifying backup storage

<< Previous step

Next step >>


Defining backup file options

At this step you can set options for the backup result file.

File format

Select the output file format: Plain-text SQL script, Custom gzip archive file, Tar archive or Directory-format archive file.

Name pattern

Set the name for the output file. You can use {server}, {database}, {date} tags.

Backup database - Specifying backup file related options

Encoding

Use the drop-down list to select the character set encoding for the output file.

Compression level

This control allows you to set the compression level for the backup file. The values are ranged 0-9. Select 0 if no compression is needed.

Number of jobs

This options is only available for directory-format backup files and sets the number of executing threads to increase backup speed.

<< Previous step

Next step >>


Specifying content of backup

Select what type of data must be backed up.

Content type

Select whether only data will be backed up (table data, large objects and sequence values), metadata (without table data) or both data and metadata will be added to the backup.

Sections

Select the sections names to be included into the backup: pre-data (includes all data definition items), data (includes actual table data, large-object contents, and sequence values) or post-data (includes definitions of indexes, triggers, rules, and constraints other than validated check constraints).

Backup database - Specifying content of backup

Content options

checkbox Exclude content of unlogged tables

Enable this option not to backup the content of unlogged tables.

checkbox Exclude publications

Do not include publications into backup.

checkbox Exclude subscriptions

Do not include subscriptions into backup.

checkbox Exclude BLOBs

Exclude large BLOB objects from the dump.

<< Previous step

Next step >>


Configuring objects filter

If you don't need to add all data to the backup file you can set filters what data must be excluded or included.

Objects selection

Select whether white and black list must be applied to tables or schemas. If you select Schemas, it will include all objects that it contains, but doesn't extract any objects it depends on.

White list

Add object name patterns. Only objects matching the name will be backed up.

Black list

Add object name patterns. Objects matching the pattern will not be backed up.

NOTE: If both white and black lists are added, then the objects that match the white list, but don't match the black list are added to the backup file.

NOTE: Tables specified in the white list will be backed up regardless of the filters set for Schemas.

Backup database - Configuring objects filter

checkbox Include BLOBs

Set this option to include large objects into the backup.

<< Previous step

Next step >>


Configuring structure of backup script

Select options for detailed configuring of statements in the backup.

Data queries statement

Select statements type for data form the list.

COPY

Dump data as COPY command. This is the fastest way to restore data.

INSERT

Dump data as INSERT commands. With this option selected the program generates separate commands for each row, which is rather safe, but slow.

INSERT with column names

Dump data as INSERT commands with explicit column names (INSERT INTO table (column, ...) VALUES ...). It is safe in case of reordering the columns, but very slow.

Backup database - Configuring structure of backup script

Structure options

checkbox Force to create new database

The script for creating and connecting to the new database will be added.

checkbox Include OIDs to table data

Enables dumping of object identifiers (OIDs) for tables.

checkbox Drop objects before creation

The script will contain commands to drop database objects before creating them.

checkbox Add IF EXISTS

DROP IF EXISTS statements will be generated instead of DROP statements.

checkbox Disable triggers temporarily

This option can be enabled only for data dump in plain-text format. It adds command to temporarily disable triggers on the target tables while data is being loaded.

checkbox Disable dollar quoting

This option disables the use of dollar quoting for function bodies, and forces them to be quoted using SQL standard string syntax.

checkbox Exclude tablespaces

With this option enabled commands for selecting tablespace are not added to the result file.

checkbox Force quoting of all identifiers

Adds quotes to all identifiers to keep compatibility between different server versions.

checkbox Load data via partition root

Makes COPY or INSERT statements target the root of the partitioning hierarchy that contains it, rather than the partition itself. This causes the appropriate partition to be re-determined for each row on loading data.

checkbox Add detailed object comments

Adds detailed logs on backup process to the backup file. Enabling this option considerably increases the result file size.

<< Previous step

Next step >>


Configuring backup security options

Set security-related options for the target backup file.

Creator role name

Set the role to be used on creating the dump.

Superuser

Set the superuser name to disable triggers successfully.

Backup database - Configuring backup security options

Security options

checkbox Disable object ownership commands

Check this option to restrict adding commands to set objects ownership. This allows script to be restored by any user, providing ownership for all objects.

checkbox Exclude privileges

Enable this option if you don't need to dump access privileges.

checkbox Use session auth for object ownership

With this option enabled SET SESSION AUTHORIZATION command is used instead of ALTER OWNER statement.

checkbox Exclude security labels

Enable this option, if you don't need security labels to be added to the backup file.

checkbox Enable row security

This option enables row security to allow user to create backup for the content he has access to.

<< Previous step

Next step >>


Performing operation

This step informs you that all necessary options have been set, and you can start the process clicking the Run button.

Backup database - Performing operation

<< Previous step

Next step >>


Backup process log

At this step you can see the detailed log about backup process. If needed, enable checkbox Scroll content automatically to follow the log output automatically.

Backup database - Backup process result log

You can apply date or text filter for operations list with the Filter button. The filter is applied when the button is pressed.

Set dates range with From and Till parameters or input the text in the Sample field to display records containing this text.

Backup log - Filter

Use the search path for incremental search in the log.

Backup log - Search

Use Copy to Clipboard button to copy all log content or selected records to the clipboard.

<< Previous step


Create task wizard

This wizard guides you through creating the automated backup task, that is run by the schedule. To launch the wizard open the popup menu in the Database explorer and select backuptaskcreate New task item.

Steps

Welcome step

Specifying backup source

Specifying backup storage

Specifying backup task name

Defining backup file options

Specifying backup content

Configuring objects filter

Configuring script structure

Configuring backup security options

Scheduling backup task execution

Performing operation

See also:

Backup database wizard

Task editor

Executing tasks


Welcome step

The first step displays general information about the wizard.

Backup tasks - Welcome step

Next step >>


Specifying backup source

At this step you need to select the database(s) to create backup for.

Use the selectall Select All or unselectall Unselect All buttons to select or unselect all the servers at once. The invertselection Invert Selection button allows you to reverse the server selection.

Server

Select the server to create the scheduled backup task for.

Databases

Highlight the database name(s) to add it to the list to create scheduled backup for.

Backup tasks - Specifying backup source

<< Previous step

Next step >>


Specifying backup storage

Select the storage(s) to send backup files to. You can select more than one storage.

Backup tasks - Specifying backup storage

Use the selectall Select All or unselectall Unselect All buttons to select or unselect all the storages at once. The invertselection Invert Selection button allows you to reverse the storage selection.

Use the addtarget Register backup storage button to launch the Register backup storage wizard.

Backup protection

Select encryption type for the selected storage. Note, that Blowfish and AES algorithms are supported in Standard and Professional license type only.

Password

Set the password for backup files.

Confirm password

Re-enter the password.

Compression level

This control allows you to set the compression level for all backup files sent to storage. The values are ranged 0-9. Select 0 if no compression is needed.

<< Previous step

Next step >>

.


Specifying backup task name

Set the name and the details of the newly created scheduled task.

Name

Set the backup task name.

Description

Use the description for the backup task if needed.

Backup tasks - Specifying backup task name

<< Previous step

Next step >>


Defining backup file options

At this step you can set options for the backup result file.

File format

Select the output file format: Plain-text SQL script, Custom gzip archive file or Tar archive.

Name pattern

Set the name for the output file. You can use {server}, {database}, {date} tags.

Backup tasks - Defining backup file options

Encoding

Use the drop-down list to select the character set encoding for the output file.

Compression level

This control allows you to set the compression level for the backup file. The values are ranged 0-9. Select 0 if no compression is needed.

Number of jobs

This options is only available for directory-format backup files and sets the number of executing threads to increase backup speed.

<< Previous step

Next step >>


Specifying backup content

At this step select what type of data must be backed up.

Content type

Select whether only data will be backed up (table data, large objects and sequence values), metadata (without table data) or both data and metadata will be added to the backup.

Sections

Select the sections names to be included into the backup: pre-data (includes all data definition items), data (includes actual table data, large-object contents, and sequence values) or post-data (includes definitions of indexes, triggers, rules, and constraints other than validated check constraints).

Backup tasks - Specifying backup content

Content options

checkbox Exclude content of unlogged tables

Enable this option not to backup the content of unlogged tables.

checkbox Exclude publications

Do not include publications into backup.

checkbox Exclude subscriptions

Do not include subscriptions into backup.

checkbox Exclude BLOBs

Exclude large BLOB objects from the dump.

<< Previous step

Next step >>


Configuring objects filter

If you don't need to add all data to the backup file you can set filters what data must be excluded or included at this step of the wizard.

Objects selection

Select whether white and black list must be applied to tables or schemas. If you select Schemas, it will include all objects that it contains, but doesn't extract any objects it depends on.

White list

Add object name patterns. Only objects matching the name will be backed up.

Black list

Add object name patterns. Objects matching the pattern will not be backed up.

NOTE: If both white and black lists are added, then the objects that match the white list, but don't match the black list are added to the backup file.

NOTE: Tables specified in the white list will be backed up regardless of the filters set for Schemas.

checkbox Include BLOBs

Set this option to include large objects into the backup.

Backup tasks - Configuring object filter

<< Previous step

Next step >>


Configuring script structure

Select options for detailed configuring of statements in the backup.

Data queries statement

Select statements type for data form the list.

COPY

Dump data as COPY command. This is the fastest way to restore data.

INSERT

Dump data as INSERT commands. With this option selected the program generates separate commands for each row, which is rather safe, but slow.

INSERT with column names

Dump data as INSERT commands with explicit column names (INSERT INTO table (column, ...) VALUES ...). It is safe in case of reordering the columns, but very slow.

Backup tasks - Configuring backup structure

Structure options

checkbox Force to create new database

The script for creating and connecting to the new database will be added.

checkbox Include OIDs to table data

Enables dumping of object identifiers (OIDs) for tables.

checkbox Drop objects before creation

The script will contain commands to drop database objects before creating them.

checkbox Add IF EXISTS

DROP IF EXISTS statements will be generated instead of DROP statements.

checkbox Disable triggers temporarily

This option can be enabled only for data dump in plain-text format. It adds command to temporarily disable triggers on the target tables while data is being loaded.

checkbox Disable dollar quoting

This option disables the use of dollar quoting for function bodies, and forces them to be quoted using SQL standard string syntax.

checkbox Exclude tablespaces

With this option enabled commands for selecting tablespace are not added to the result file.

checkbox Force quoting of all identifiers

Adds quotes to all identifiers to keep compatibility between different server versions.

checkbox Load data via partition root

Makes COPY or INSERT statements target the root of the partitioning hierarchy that contains it, rather than the partition itself. This causes the appropriate partition to be re-determined for each row on loading data.

checkbox Add detailed object comments

Adds detailed logs on backup process to the backup file. Enabling this option considerably increases the result file size.

<< Previous step

Next step >>


Configuring backup security options

Set security-related options for the target backup file.

Creator role name

Set the role to be used on creating the dump.

Superuser

Set the superuser name to disable triggers successfully.

Backup tasks - Configuring backup security options

Security options

checkbox Disable object ownership commands

Check this option to restrict adding commands to set objects ownership. This allows script to be restored by any user, providing ownership for all objects.

checkbox Exclude privileges

Enable this option if you don't need to dump access privileges.

checkbox Use session auth for object ownership

With this option enabled SET SESSION AUTHORIZATION command is used instead of ALTER OWNER statement.

checkbox Exclude security labels

Enable this option, if you don't need security labels to be added to the backup file.

checkbox Enable row security

This option enables row security to allow user to create backup for the content he has access to.

<< Previous step

Next step >>


Scheduling backup task execution

At this step you need to create schedule for the automated backup execution. Use the buttons on the right panel to create, edit or delete schedules. You can set several schedules for the task.

checkbox Task is scheduled in UTC

Enable this option to use UTC time format for the backup task. Otherwise local application time will be used for scheduling.

NOTE You can check local and UTC time at the right bottom part of the application.

Backup tasks - Scheduling backup task execution

Cleanup strategy for launches history

selected radio button Remove launches after ... days

Set this option to cleanup task launches older than the specified value.

selected radio button Keep only ... recent launches

Set the limit for displaying task launches in the history.

checkbox Remove related backup files from storages

On cleaning up launches history for the task the corresponding backup files are deleted from the storages, otherwise they are still kept in the storage.

<< Previous step

Next step >>


Adding notifications

At this step you can add notifications about task execution, if needed.

Backup tasks - Adding notifications

Task launch

checkbox Show desktop notification

Select this option to display desktop notifications on task launch.

Email notification recipients

Use the buttons on the right panel to add or remove email addresses to send notifications about task launch.

Task completion

checkbox Show desktop notification

Select this option to display desktop notifications after the task is completed.

Email notification recipients

Use the buttons on the right panel to add or remove email addresses to send notifications about task completion.

<< Previous step

Next step >>


Performing operation

This step informs you that all necessary options have been set, you can view the result summary and click Finish button to create the scheduled backup task.

You can edit tasks with task editor from the main program window.

The list of current tasks is displayed for each server on the main screen of the program.

Backup tasks - Performing operation

<< Previous step


Task editor

You can edit tasks created with Create task wizard on the main window of the program. Double click the task or use the backuptaskedit Edit task popup menu item.

General settings

Backup source

Backup storages

Backup file

Backup content

Objects filter

Script structure

Backup security

Scheduling and history

Notifications

See also:

Create task wizard

Executing tasks


General settings

This tab allows you to view and edit details for the backup task.

Name

Set the backup task name.

Description

Edit the description for the backup task if needed.

Task editor - Specifying backup task name


Backup source

At this tab you can edit the set of databases to create backup for.

Use the selectall Select All or unselectall Unselect All buttons to select or unselect all the databases at once. The invertselection Invert Selection button allows you to reverse the database selection.

Server

Select the server to create the scheduled backup task for.

Databases

Edit the list of databases to create scheduled backup for.

Task editor - Backup source


Backup storages

At this step you can edit storages to send backup files to. You can select more than one storage.

Use the selectall Select All or unselectall Unselect All buttons to select or unselect all the storages at once. The invertselection Invert Selection button allows you to reverse the storage selection.

Use the addtarget Register backup storage button to launch the Register backup storage wizard.

Backup protection

Select encryption type for the selected storage. Note, that Blowfish and AES algorithms are supported in Standard and Professional license type only.

Password

Set the password for backup files.

Confirm password

Re-enter the password.

Compression level

This control allows you to set the compression level for all backup files sent to storage. The values are ranged 0-9. Select 0 if no compression is needed.

Task editor - Backup storages


Backup file

At this step you can view or change options for the backup result file.

File format

Select the output file format: Plain-text SQL script, Custom gzip archive file, Tar archive or Directory-format archive file.

Name pattern

Set the name for the output file. You can use {server}, {database}, {date} tags.

Encoding

Use the drop-down list to select the character set encoding for the output file.

Compression level

This control allows you to set the compression level for the backup file. The values are ranged 0-9. Select 0 is no compression is needed.

Number of jobs

This options is only available for directory-format backup files and sets the number of executing threads to increase speed.

Task editor - Backup file


Backup content

At this tab you can view and edit type of data that must be backed up.

Content type

Select whether only data will be backed up (table data, large objects and sequence values), metadata (without table data) or both data and metadata will be added to the backup.

Sections

Select the sections names to be included into the backup: pre-data (includes all data definition items), data (includes actual table data, large-object contents, and sequence values) or post-data (includes definitions of indexes, triggers, rules, and constraints other than validated check constraints).

Task editor -Backup content

Content options

checkbox Exclude content of unlogged tables

Enable this option not to backup the content of unlogged tables.

checkbox Exclude publications

Do not include publications into backup.

checkbox Exclude subscriptions

Do not include subscriptions into backup.

checkbox Exclude BLOBs

Exclude large BLOB objects from the dump.

checkbox Exclude comments

Exclude comments from the dump.


Objects filter

At this tab you can edit filters to exclude or include data.

Objects selection

Select whether white and black list must be applied to tables or schemas. If you select Schemas, it will include all objects that it contains, but doesn't extract any objects it depends on.

White list

Add object name patterns. Only objects matching the name will be backed up.

Black list

Add object name patterns. Objects matching the pattern will not be backed up.

NOTE If both white and black lists are added, then the objects that match the white list, but don't match the black list are added to the backup file.

NOTE Tables specified in the white list will be backed up regardless of the filters set for Schemas.

checkbox Include BLOBs

Set this option to include large objects into the backup.

Task editor - Objects filter


Script structure

Select options for detailed configuring of statements in the backup.

Data queries statement

Select statements type for data form the list.

COPY

Dump data as COPY command. This is the fastest way to restore data.

INSERT

Dump data as INSERT commands. With this option selected the program generates separate commands for each row, which is rather safe, but slow.

INSERT with column names

Dump data as INSERT commands with explicit column names (INSERT INTO table (column, ...) VALUES ...). It is safe in case of reordering the columns, but very slow.

Task editor - Script structure

Structure options

checkbox Force to create new database

The script for creating and connecting to the new database will be added.

checkbox Include OIDs to table data

Enables dumping of object identifiers (OIDs) for tables.

checkbox Drop objects before creation

The script will contain commands to drop database objects before creating them.

checkbox Add IF EXISTS

DROP IF EXISTS statements will be generated instead of DROP statements.

checkbox Disable triggers temporarily

This option can be enabled only for data dump in plain-text format. It adds command to temporarily disable triggers on the target tables while data is being loaded.

checkbox Disable dollar quoting

This option disables the use of dollar quoting for function bodies, and forces them to be quoted using SQL standard string syntax.

checkbox Exclude tablespaces

With this option enabled commands for selecting tablespace are not added to the result file.

checkbox Force quoting of all identifiers

Adds quotes to all identifiers to keep compatibility between different server versions.

checkbox Load data via partition root

Makes COPY or INSERT statements target the root of the partitioning hierarchy that contains it, rather than the partition itself. This causes the appropriate partition to be re-determined for each row on loading data.

checkbox Add detailed object comments

Adds detailed logs on backup process to the backup file. Enabling this option considerably increases the result file size.


Backup security

This tab allows editing security-related options for the target backup file.

Creator role name

Set the role to be used on creating the dump.

Superuser

Set the superuser name to disable triggers successfully.

Task editor - Backup security

Security options

checkbox Disable object ownership commands

Check this option to restrict adding commands to set objects ownership. This allows script to be restored by any user, providing ownership for all objects.

checkbox Exclude privileges

Enable this option if you don't need to dump access privileges.

checkbox Use session auth for object ownership

With this option enabled SET SESSION AUTHORIZATION command is used instead of ALTER OWNER statement.

checkbox Exclude security labels

Enable this option, if you don't need security labels to be added to the backup file.

checkbox Enable row security

This option enables row security to allow user to create backup for the content he has access to.


Scheduling and history

At this tab you can change schedules for the scheduled backup task.

Use the buttons on the right panel to create, edit or delete schedules. You can set several schedules for the task.

checkbox Task is scheduled in UTC

Enable this option to use UTC time format for the backup task. Otherwise local application time will be used for scheduling.

NOTE You can check local and UTC time at the right bottom part of the application.

Task editor - Scheduling

Cleanup strategy for launches history

selected radio button Remove launches after ... days

Set this option to cleanup task launches older than the specified value.

selected radio button Keep only ... recent launches

Set the limit for displaying task launches in the history.

checkbox Remove related backup files from storages

On cleaning up launches history for the task the corresponding backup files are deleted from the storages, otherwise they are still kept in the storage.


Notifications

Edit or set notification settings for task execution at this tab.

Task launch

checkbox Show desktop notification

Select this option to display desktop notifications on task launch.

Email notification recipients

Use the buttons on the right panel to add or remove email addresses to send notifications about task launch.

Task editor - Notifications

Task completion

checkbox Show desktop notification

Select this option to display desktop notifications after the task is completed.

Email notification recipients

Use the buttons on the right panel to add or remove email addresses to send notifications about task completion.


Create schedule wizard

Schedules can be created in the Create task wizard and edited in the Task editor.

Steps

Welcome step

Specifying name

Specifying time-dependent options

Performing operation

See also:

Create task wizard

Task editor


Welcome step

At this step you need to select periodicity of executing the backup task: Once, Daily, Weekly, Monthly.

NB If you need to perform backup several times a day you need to create several schedules with each time.

Schedule wizard - Welcome step

Next step >>


Specifying name

Set general information about the schedule at this step.

Name

Set schedule name.

Description

Use description for the schedule if needed.

Schedule wizard - Specifying name

<< Previous step

Next step >>


Specifying time-dependent options

Set the details of the schedule.

From

Select the start date for schedule.

Till

If needed, select the last date for the schedule. The dependent backup task will finish on this date.

Run at

Select the time for schedule running. You can set if the time value will be processed in UTC format or local console time at Create task wizard.

Repeat each

Select the periodicity of task execution in weeks and select the days of the week.

Schedule wizard - Specifying time-dependent options

<< Previous step

Next step >>


Performing operation

At this step you can check the necessary options and click Finish to create the schedule.

Schedule wizard - Performing operation

<< Previous step


Executing tasks

You can monitor tasks execution for the selected server in the main program window.

Monitoring tasks from the main window

Each task can be paused and started from the popup menu.

If the schedule was damaged in the OS and the task status is Unscheduled, you can Repair it from the task popup menu.

Tasks - Repair

See also:

Create task wizard


Backup log

This dialog displays detailed information about backup operation process. To open the log use Show log button in the launch history popup menu. To follow log retrieving use the checkbox Scroll content automatically option.

Exclude or enable displaying of errors, warning and information messages with the corresponding buttons: Show errors, Show warnings, Show infos.

Backup log editor

You can apply date or text filter for operations list with the Filter button. The filter is applied when the button is pressed.

Set dates range with From and Till parameters or input the text in the Sample field to display records containing this text.

Backup log - Filter

Use the search path for incremental search in the log.

Backup log - Search

Use Copy to Clipboard button to copy all log content or selected records to the clipboard.


Getting backup from history

You can get the backup file from the Launches history on the Backup tasks tab.

Select the task in the Tasks list and then select the required launch. Select Get Backup from the popup menu.

Getting backup from history _ popup menu

File name

The name of the downloading backup file.

Path

The location of the backup file.

Getting backup dialog

checkbox Notify about operation completion

Enable this option to get desktop notification on download complete.


Quick restore

Use Quick Restore from the launch history to restore the database to the selected state.

NB: This operation cannot be rolled back! The database will be restored to the selected state immediately.

Quick restore dialog

Database name

Select the name of the database to be restored.


Backup storages

At this tab you can create new backup storages, manage existing ones (edit and delete them from the popup menu) and view the list of available backups for each storage.

Backup targets tab

By default the DefaultLocalStorage is available, which stores backups in the C:\Users\<user_name>\Documents\EMS Backup for PostgreSQL\Backups folder.

The default storages must be selected for each server before launching the backup. Note, that you can select several default targets and backup files will be stored in each of them.

See also:

Register backup storage wizard

Backup storage editor


Register backup storage wizard

This wizard guides you through creating a new backup storage. To create a new storage proceed to the Backup targets Backup storages section and select the addtarget Register backup storage item from the popup menu.

Popup menu - Backup storage

Steps

Specify backup target type

Specifying backup storage name

SMB/CIFS settings

FTP settings

SFTP settings

Amazon S3 could settings

Microsoft Azure cloud settings

Dropbox settings

Google drive settings

Performing operation

See also:

Backup storage editor


Specify backup target type

Select the required backup storage from the list. It will be saved in the storages list for future use.

Backup target wizard - Step1

You can select one of the following destination types:

selected radio button SMB or CIFS

selected radio button FTP

selected radio button SFTP cloud

selected radio button Amazon S3

selected radio button Microsoft Azure cloud

selected radio button Dropbox

selected radio button Google Drive

NB: Amazon S3 and Microsoft Azure is only available in PRO version. SFTP storage is only available in Standard and PRO versions. See the differences.

Next step >>


Specifying backup storage name

Name

Set the backup storage name

Description

Add extended description for the storage if needed.

Backup storage wizard - Specifying backup storage name

<< Previous step

Next step >>


SMB/CIFS settings

The SMB/CIFS Connection Settings dialog is provided for configuring local or remote network folders.

Path

Set the local or network folder for storing backup copies. Use the Select folder button to browse for the folder. Note that a path to a network folder must be specified in the UNC format.

checkbox Use Windows authentication

Check this option to use Windows authentication to access the folder, otherwise set the Login and Password. Note that the specified user should have sufficient rights to write to the target folder.

Click the Test connection button to check connection to the selected folder with the settings defined above.

<< Previous step

Next step >>


FTP settings

The FTP settings dialog is provided for configuring FTP server connection.

Host

Specify the FTP server name or its IP.

Port

Set the port value for FTP server.

Path

Specify the folder on the FTP server where backup files will be uploaded. If the specified directory does not exist on the server it will be created on the first upload process.

checkbox Login anonymously

Select this option if you don't need to enter login and password to access to the server, otherwise provide valid Login and Password values in the corresponding fields. Note that the specified user should have sufficient rights to write to the target folder.

Timeout

Specify the timeout in seconds for inactivity of data channel.

Protocol

Select the protocol that should be used for backup files transferring. The possible values are: Standard FTP, Implicit SSL/TLS, Explicit SSL/TLS.

Mode

Select the mode of the FTP connection: Passive (PASV), Active (PORT).

checkbox Connect using proxy server

Check this option to use proxy settings set at Proxy server options.

Click the Test connection button to check connection to the selected folder with the settings defined above.

<< Previous step

Next step >>


SFTP settings

The SFTP settings dialog is provided for configuring SFTP (Secure File Transfer Protocol) server connection for uploading backup files.

Host

Input server name or its IP address.

Port

Specify the port to connect to SFTP server.

Path

Define the directory on the SFTP server where backup files will be uploaded to. If the specified directory does not exist on the server it will be created on the first upload.

Backup target wizard - SFTP

Login

Input user name for SFTP server.

Password

Input password for the specified user of SFTP server.

Timeout

Specify the timeout in seconds for inactivity of data channel.

checkbox Connect using proxy server

Check this option to use proxy settings set at Proxy server options.

Click the Test connection button to check connection to the selected folder with the settings defined above.

<< Previous step

Next step >>


Amazon S3 could settings

The Amazon S3 cloud settings dialog is provided for configuring connection to Amazon S3 bucket.

Bucket name

Define the bucket that will be used for storing backups. You can create a bucket on the Amazon website. If the specified bucket does not exist it will be created automatically in US Standard region. Note that the bucket name must be unique among all Amazon S3 buckets.

Path

If you want backup files to be stored in a folder then set the path to the folder within the specified bucket. The folder will be created automatically on file upload. Use the '/' as a directory separator. For example, 'backups/Adventure Works'.

Backup target wizard - Amazon S3 settings

Access key

Input access key to get access to the bucket. You can find this information on the Security Credentials page of your Amazon Web Services account.

Secret key

Input secret key to get access to the bucket. You can find this information on the Security Credentials page of your Amazon Web Services account.

Storage class

Select the storage class for uploaded backup files: Standard or Reduced redundancy.

Timeout

Specify the timeout in seconds for inactivity of data channel.

checkbox Connect using proxy server

Check this option to use proxy settings set at Proxy server options.

Click the Test connection button to check connection to the selected folder with the settings defined above.

<< Previous step

Next step >>


Microsoft Azure cloud settings

Use this step to configure connection to Microsoft Azure BLOB storage container.

Account name

Enter the name of the Microsoft Azure storage account.

Account key

Enter the storage access key. Either primary or secondary key can be used.

Container name

Every blob in Azure storage resides in a container. Enter the existing container name or any new valid name.

Get containers

Use the button to get the list of Azure containers automatically.

Backup target wizard - Ms Azure settings

Timeout

Specify the timeout in seconds for inactivity of data channel.

checkbox Connect using proxy server

Check this option to use proxy settings set at Proxy server options.

Click the Test connection button to check connection to the selected folder with the settings defined above.

<< Previous step

Next step >>


Dropbox settings

Use this step to configure connection to Dropbox account.

Path

EMS SQL Backup uploads files to the 'Apps/EMS SQL Backup' folder in Dropbox by default. If you need to store backup files in its subfolder, set the relative path in this field. If the specified folder doesn't exist, it will be created automatically on uploading the files. Use '/' as a path separator. For example, if you set 'backups/Adventure Works' in this field the files will be uploaded to 'Apps/EMS SQL Backup/backups/Adventure Works'.

Authorization token

Input Dropbox authorization token manually or use acquiretoken Acquire authorization token button to get it automatically.

Backup target wizard - Dropbox settings

checkbox Connect using proxy server

Check this option to use proxy settings set at Proxy server options.

Click the Test connection button to check connection to the selected folder with the settings defined above.

<< Previous step

Next step >>


Google drive settings

Use this step to configure connection to Google Drive account.

Path

EMS SQL Backup uploads files to the root folder in Google Drive by default. If you need to store backup files in subfolder, set the path in this field. If the specified folder doesn't exist, it will be created automatically on uploading the files. Use '/' as a path separator (for example, 'backups/Adventure Works').

Authorization token

Input Google drive authorization token manually or use acquiretoken Acquire authorization token button to get it automatically.

Backup target wizard - Google drive settings

checkbox Connect using proxy server

Check this option to use proxy settings set at Proxy server options.

Click the Test connection button to check connection to the selected folder with the settings defined above.

<< Previous step

Next step >>


Performing operation

This step informs you that all necessary options have been set, you can view the result summary and click Finish button to create the backup storage.

Backup target wizard - Performing operation


Backup storage editor

You can edit storages created with Register backup storage wizard on the Backup targets Backup storages tab of the program.

Double-click the storage or use Backup Storage Registration Info from the popup menu to view the details or edit the storage.

Popup menu - Backup Storage Registration Info

The General tab of the Backup Storage Editor displays Name and Description, which can be changed.

Backup storage editor - General tab

The Storage tab displays connection information, which depends on storage type:

SMB/CIFS storage info

FTP storage info

SFTP storage info

Amazon S3 storage info

Microsoft Azure storage info

Dropbox storage info

Google drive storage info

See also:

Register backup storage wizard


SMB/CIFS storage info

At this tab you can edit SMB/CIFS storage connection settings.

Backup storage editor -SMB

Path

Set the local or network folder for storing backup copies. Use the Select folder button to browse for the folder. Note that a path to a network folder must be specified in the UNC format.

checkbox Use Windows authentication

Check this option to use Windows authentication to access the folder, otherwise set the Login and Password. Note that the specified user should have sufficient rights to write to the target folder.

Click the Test connection button to check connection to the selected folder with the settings defined above.


FTP storage info

At this tab you can edit FTP storage connection settings.

Host

Specify the FTP server name or its IP.

Port

Set the port value for FTP server.

Path

Specify the folder on the FTP server where backup files will be uploaded. If the specified directory does not exist on the server it will be created on the first upload process.

Backup storage editor -FTP

checkbox Login anonymously

Select this option if you don't need to enter login and password to access to the server, otherwise provide valid Login and Password values in the corresponding fields. Note that the specified user should have sufficient rights to write to the target folder.

Timeout

Specify the timeout in seconds for inactivity of data channel.

Protocol

Select the protocol that should be used for backup files transferring. The possible values are: Standard FTP, Implicit SSL/TLS, Explicit SSL/TLS.

Mode

Select the mode of the FTP connection: Passive (PASV), Active (PORT).

checkbox Connect using proxy server

Check this option to use proxy settings set at Proxy server options.

Click the Test connection button to check connection to the selected folder with the settings defined above.


SFTP storage info

At this tab you can edit SFTP storage connection settings.

Host

Input server name or its IP address.

Port

Specify the port to connect to SFTP server.

Path

Define the directory on the SFTP server where backup files will be uploaded to. If the specified directory does not exist on the server it will be created on the first upload.

Backup storage editor -SFTP

Login

Input user name for SFTP server.

Password

Input password for the specified user of SFTP server.

Timeout

Specify the timeout in seconds for inactivity of data channel.

checkbox Connect using proxy server

Check this option to use proxy settings set at Proxy server options.

Click the Test connection button to check connection to the selected folder with the settings defined above.


Amazon S3 storage info

At this tab you can edit Amazon S3 cloud connection settings.

Bucket name

Define the bucket that will be used for storing backups. You can create a bucket on the Amazon website. If the specified bucket does not exist it will be created automatically in US Standard region. Note that the bucket name must be unique among all Amazon S3 buckets.

Path

If you want backup files to be stored in a folder then set the path to the folder within the specified bucket. The folder will be created automatically on file upload. Use the '/' as a directory separator. For example, 'backups/Adventure Works'.

Backup storage editor -Amazon S3

Access key

Input access key to get access to the bucket. You can find this information on the Security Credentials page of your Amazon Web Services account.

Secret key

Input secret key to get access to the bucket. You can find this information on the Security Credentials page of your Amazon Web Services account.

Storage class

Select the storage class for uploaded backup files: Standard or Reduced redundancy.

Timeout

Specify the timeout in seconds for inactivity of data channel.

checkbox Connect using proxy server

Check this option to use proxy settings set at Proxy server options.

Click the Test connection button to check connection to the selected folder with the settings defined above.


Microsoft Azure storage info

At this tab you can edit Microsoft Azure cloud connection settings.

Account name

Enter the name of the Microsoft Azure storage account.

Account key

Enter the storage access key. Either primary or secondary key can be used.

Container name

Every blob in Azure storage resides in a container. Enter the existing container name or any new valid name.

Get containers

Use the button to get the list of Azure containers automatically.

Backup storage editor -MS Azure

Timeout

Specify the timeout in seconds for inactivity of data channel.

checkbox Connect using proxy server

Check this option to use proxy settings set at Proxy server options.

Click the Test connection button to check connection to the selected folder with the settings defined above.


Dropbox storage info

At this tab you can edit Dropbox connection settings.

Path

EMS SQL Backup uploads files to the 'Apps/EMS SQL Backup' folder in Dropbox by default. If you need to store backup files in its subfolder, set the relative path in this field. If the specified folder doesn't exist, it will be created automatically on uploading the files. Use '/' as a path separator. For example, if you set 'backups/Adventure Works' in this field the files will be uploaded to 'Apps/EMS SQL Backup/backups/Adventure Works'.

Authorization token

Input Dropbox authorization token manually or use Acquire authorization token button to get it automatically.

Backup storage editor -Dropbox

checkbox Connect using proxy server

Check this option to use proxy settings set at Proxy server options.

Click the Test connection button to check connection to the selected folder with the settings defined above.


Google drive storage info

At this tab you can edit Google Drive cloud connection settings.

Path

EMS SQL Backup uploads files to the root folder in Google Drive by default. If you need to store backup files in subfolder, set the path in this field. If the specified folder doesn't exist, it will be created automatically on uploading the files. Use '/' as a path separator (for example, 'backups/Adventure Works').

Authorization token

Input Google drive authorization token manually or use Acquire authorization token button to get it automatically.

Backup storage editor -Google Drive

checkbox Connect using proxy server

Check this option to use proxy settings set at Proxy server options.

Click the Test connection button to check connection to the selected folder with the settings defined above.


Downloading files

In this dialog you can set options for downloading backup files. To download the file select the Backup storage on the Storages tab, select the required file from the list and select Download file from popup menu.

Path

Select the location for downloading the file.

checkbox Notify about download completion

Check this option to get desktop notifications about file downloading.


Database restore

To select a backup and easily restore a database, use the Restore Database Wizard at the Backup tasks Backup tasks tab of the DB explorer popup menu.

Restore database - backup tasks popup menu

and Restore from file item on the Backup targets Backup storages tab of the backup popup menu.

Restore database - backup storages popup menu

NOTE: These Wizards are available in Standard and PRO versions only.

See also:

Restore Database Wizard of selected database

Restore Database Wizard from backup


Restore database wizard of selected database

The Wizard allows you to restore a database from a backup. To launch the Wizard, select the Restore database item of the database popup menu.

Steps:

Selecting a backup

Setting options for binary backups

Setting options for plain-text backups

Performing operation

Restore process log


Selecting a backup

At this step, you need to select the storage and the backup file which the database will be restored from.

Backup to restore

Storage

Select the storage where the backup file is stored.

Backup file

Specify the backup file.

Restore database - backup tasks - database selecting

Next step >>


Setting restore procedure options

When restoring databases, you are able to specify the options related to binary or plain-text formats.

Setting options for binary backups

Setting options for plain-text backups

<< Previous step

Next step >>


Binary backups

At this step, you should set the necessary options related to the database restore procedure from the binary backup.

Creator role name

Use this option to define the role that will be used to perform the restore.

Number of jobs

Indicates the number of threads executed in parallel.

Use single transaction

This option allows you to restore a database within a single transaction.

Exit on error

If this option is enabled, the program will stop the database restore process if an error occurs.

Clean schema

Drop schema objects before recreating.

Add IF EXISTS

Use conditional commands when dropping database objects.

Restore database - procedure options 2

<< Previous step

Next step >>


Plain-text backups

Setting options related to the database restore from the plain-text backup.

Use single transaction

This option allows you to restore a database within a single transaction.

Exit on error

If this option is enabled, the program will stop the database restore process if an error occurs.

Quiet mode

This option specifies if the program will run without displaying additional messages.

Echo errors

Print failed SQL commands to standard error output.

Restore database - procedure options 1

<< Previous step

Next step >>


Performing operation

At this step of the wizard, you are able to check the defined options and start the restore process by clicking the Run button.

Restore database - info

<< Previous step

Next step >>


Restore process log

This step allows you to view the database restore process execution. If needed, enable checkbox Scroll content automatically to follow the log output automatically.

Restore database - result log

You can apply date or text filter for operations list with the Filter button. The filter is applied when the button is pressed.

Set dates range with From and Till parameters or input the text in the Sample field to display records containing this text.

Backup log - Filter

Use the search path for incremental search in the log.

Backup log - Search

Use Copy to Clipboard button to copy all log content or selected records to the clipboard.

<< Previous step


Restore database wizard from backup

The Wizard allows you to restore a database from a backup. To launch the Wizard, select the Restore from file item of the backup popup menu.

Steps:

Selecting a database

Setting options for binary backups

Setting options for plain-text backups

Performing operation

Restore process log


Selecting a database

At this step, you need to select the database that will be restored from the backup.

Server

Select the server which database will be restored from.

Database to restore

Existing database

Select the existing database to restore backup file to.

New database

Specify the name of the database in case backup is restored to a new database.

Restore database - backup storages - database selecting

Next step >>


Binary backups

At this step, you should set the necessary options related to the database restore procedure from the binary backup.

Creator role name

Use this option to define the role that will be used to perform the restore.

Number of jobs

Indicates the number of threads executed in parallel.

Use single transactions

This option allows you to restore a database within a single transaction.

Exit on error

If this option is enabled, the program will stop the database restore process if an error occurs.

Clean schema

Drop schema objects before recreating.

Add IF EXISTS

Use conditional commands when dropping database objects.

Restore database - procedure options 2

<< Previous step

Next step >>


Plain-text backups

Setting options related to the database restore from the plain-text backup.

Use single transactions

This option allows you to restore a database within a single transaction.

Exit on error

If this option is enabled, the program will stop the database restore process if an error occurs.

Quiet mode

This option specifies if the program will run without displaying additional messages.

Echo errors

Print failed SQL commands to standard error output.

Restore database - procedure options 1

<< Previous step

Next step >>


Options

This chapter contains information concerning personalization of the application: language, color schema, proxy and email server settings.

Use the menu collapsed menu icon in the right upper corner and select settings Options item.

See also:

General

Proxy server

Outgoing mail server


General

The generalsettings General options tab allows you to select the language, color schema and options for server refresh.

Language

Select the supported language from the drop-down menu to be applied to the program.

Application theme

Select the color theme for the program: Light or Dark.

Refresh servers every

Set the interval in seconds for server refresh.

Refresh tasks every

Set the interval in seconds to refresh tasks.

Refresh files every

Set the interval in seconds to refresh files in storages.

See also:

Proxy server

Outgoing mail server


Proxy server

Use the proxy Proxy server tab to define connection settings. These parameters will be used for connecting to the server, checking updates, accessing backup targets and licensing management.

Proxy server

Choose one of three options:

Detect settings automatically

I have a direct connection to the Internet

Manual configuration

If you have chosen to configure proxy manually then use this group of options to set the following proxy server parameters: host, port, login and user password (if the checkbox Use authentication option is checked).

Click the Test connection button to check connection to the proxy server with the settings defined above.

See also:

General settings

Outgoing mail server


Outgoing mail server

Set options for mail server to send task notifications.

options-outgoing mail server

Account type

Select the account type from the list or use Custom item to set your own settings.

Host

Modify host details, if needed.

Port

Set the port for outgoing mail.

checkbox Use SSL for encryption

Check this option to use SSL encryption for connection.

Login

Input email user name.

Password

Input the password for the account.

Sender

Specify the email to send notifications from.

Click the Test connection button to check connection to the outgoing mail server with the settings defined above.

See also:

General

Proxy server


License management

With License Management wizard you can

  • Activate Free, Regular or Pro version of the software
  • Prolong the Maintenance
  • Deactivate current license

Open the wizard with the menu collapsed menu icon in the right upper corner and select [image] License management item. Follow the steps of the wizard to complete the required action.

License management wizard - Menu

See also:

Purchasing

How to register SQL Backup for PostgreSQL


License activation for the first time

To get access to all features and apply the license you need to activate EMS SQL Backup for PostgreSQL.

It is assumed that you have already purchased a product license and that you have the license information available. If you cannot find license information, please visit your Member Account at https://secure.sqlmanager.net/member/subscribe.

The activation operation is performed by means of the License Management wizard.

Steps:

Selecting license activation method

Entering license key

Web-site activation

Entering license activation code

Completing operation

See also:

Purchasing

License deactivation


Selecting license activation method

Use this step to select license activation method.

License management wizard - Selecting license activation method

selected radio button Activate license online

Use this option if you have Internet connection to activate the licence from the program within a few seconds.

selected radio button Activate license using website

You can activate the licence manually from the Member Account at our website.

Note: The Free license can be activated using the online activation only.

Next step in case of online activation.

Next step in case of website activation.


Entering license key

This step appears if you have chosen online activation on the first step.

License management wizard - Online activation process

selected radio button Free license

Select this option to activate the EMS SQL Backup FREE license.

selected radio button License key

Enter manually or paste your license key here.

The license key can be copied from your Members Area at at https://secure.sqlmanager.net/login or from the e-mail received after license purchasing.

You can view the list of all functional differences between EMS SQL Backup versions in the Feature Matrix.

Click Run to complete activation.

<< Previous step

Next step >>


Web-site activation

This step appears only in case the selected radio button Activate license online was selected on the first step.

License management wizard - Website activation

To perform license activation via website follow these steps:

  1. Register in the Members Area at https://secure.sqlmanager.net/login.
  2. Open My Registered Products section.
  3. Expand key list for the product.
  4. Choose Activate License action.
  5. Enter automatically generated Instance ID from the wizard step into a web form and generate the activation code.
  6. Copy the generated activation code to Clipboard.
  7. Click the Next button at this Wizard step and paste the activation code into the License Activation Code field at the next step.
  8. Click the Run button to complete EMS SQL Backup for PostgreSQL license process.

<< Previous step

Next step >>


Entering license activation code

Here you are to enter the license activation code.

You can get the activation code from the confirmation email or from the Member Account at our website.

License management wizard - Manual activation process

Click Run to complete activation.

<< Previous step

Next step >>


Performing operation

At this step log messages about the current operation and activation status are displayed.

License management wizard - Completing operation

You can apply date or text filter for operations list with the Filter button. The filter is applied when the button is pressed.

Set dates range with From and Till parameters or input the text in the Sample field to display records containing this text.

Backup log - Filter

Use the search path for incremental search in the log.

Backup log - Search

Click the Close button to exit the wizard or Copy to Clipboard to copy log information.


License deactivation

EMS SQL Backup for PostgreSQL
  • Index
  • « Prev
  • Next »

Managing current activation

If you have already activated the product you have the following options License management wizard:

  • You can activate another license
  • You can prolong maintenance
  • You can deactivate the license, if you have decided to move a license from one PC to another.

The activation operation is performed by means of the License Management wizard.

Steps

Selecting required operation

Website deactivation

Performing online deactivation

Performing deactivation with website

See also:

Purchasing

How to register SQL Backup for PostgreSQL


Licence deactivation

EMS SQL Backup for PostgreSQL
  • Index
  • « Prev
  • Next »

Selecting required operation

Use this step to activate new license, prolong the maintenance or deactivate the current license.

License management wizard - Selecting deactivation method

selected radio button Activate license online

Use this option if you have Internet connection to activate the licence from the program within a few seconds.

selected radio button Renew maintenance using website

After you have prolonged the Maintenance period on the website, you need to activate the updated activation key. Use this item to enter the new activation key.

selected radio button Deactivate license online

Use this option if you have Internet connection. Product license will be deactivated automatically within a few seconds.

selected radio button Deactivate license using website

This option allows you to deactivate product license using license information from your Member Account on our web-site.

To proceed to the next step of the wizard check the CheckBox Yes, I understand that License Key will be deactivated now.

Next step in case of online deactivation.

Next step in case of website deactivation.


Website deactivation

This step appears only in case the selected radio button Deactivate license using website option was selected on the first step.

License management wizard - Deactivation manual

To perform license deactivation via web-site follow these steps:

  1. Register in the Members Area at https://secure.sqlmanager.net/login.
  2. Open My Registered Products section.
  3. Expand key list for desired product.
  4. Choose Deactivate License action.
  5. Click Run at the current wizard step.
  6. Copy the deactivation code at the next step with Copy deactivation code button.
  7. Enter the deactivation code into a web form on the website.
  8. Click Deactivate button on the web form.
  9. Click Finish button on the final step of the wizard to complete EMS SQL Backup for PostgreSQL license deactivation process.


Performing online deactivation

This step appears only in case the selected radio button Deactivate license online option was selected on the first step.

License management wizard - Deactivation completing operation

To configure connection parameters for performing deactivation see the Proxy tab of the Options dialog.

Click the Close button to exit the wizard or Copy to Clipboard to copy log information.


Performing deactivation with website

This step is intended to inform you about the product deactivation status.

License management wizard - Deactivation manual completing operation

Click Copy deactivation code to copy the code and insert it into the web form.

You can apply date or text filter for operations list with the Filter button. The filter is applied when the button is pressed.

Set dates range with From and Till parameters or input the text in the Sample field to display records containing this text.

Backup log - Filter

Use the search path for incremental search in the log.

Backup log - Search

Click the Close button to exit the wizard or Copy to Clipboard to copy log information.


Add object name pattern

Use this dialog to set text for filtering objects by name. You can use wildcards so the full object name is not needed.

add object name pattern


Add notification recipient

You can add email addresses in Task editor or Create task wizard. Check the option to send email notifications, click the Add button and input email address in the following form.

Task editor - Notifications - Add recipient

If you need to add several addresses use this dialog several times.


Select servers for the task

At this step select the servers to apply the task to.

<< Previous step

Next step >>


EMS SQL Backup for PostgreSQL
  • Index

Selection

Enter topic text here.


Install EMS SQL Backup

EMS SQL Backup for PostgreSQL
  • Index

Install EMS SQL Backup for PostgreSQL

EMS SQL Backup for PostgreSQL consists of two core units: SQL Administration Console and Server-side components. So to perform a full installation and start working with SQL Server in EMS SQL Backup for PostgreSQL Console you need:

  1. Install EMS SQL Backup for PostgreSQL Administration Console.
  2. Register server using the Register Server Wizard. To launch it use the btnRegisterHost Register Server context menu item of the Server Explorer.
  3. Connect to the server using the btnConnectToDB Connect item of its context menu.
  4. After server registration you need to install server-side components. To launch the Install server-side EMS SQL Backup for PostgreSQL components use the Install server-side EMS SQL Backup for PostgreSQL Components server context menu item.


Install server-side components without having permissions for remote installation

If you do not have permissions for a remote installation of server-side components using Install server-side EMS SQL Backup for PostgreSQL components you can install them locally on the server using the Stand-alone remote components Installer.

In order to perform server-side components installation locally on the server do the following:

  1. copy EMS SQL Backup for PostgreSQL setup file to the server machine.
  2. launch the EMS SQL Backup for PostgreSQL setup wizard and choose the Server-side only mode on the third step.
  3. after the EMS SQL Backup for PostgreSQL Setup wizard is finished the Stand-alone remote components Installer is launched automatically.
  4. follow the steps of the wizard in compliance with Stand-alone remote components Installer topic.

Note: The EMS SQL Backup for PostgreSQL setup wizard installs EMS SQL Backup for PostgreSQL Service Installer application (InstallWizard.exe)which allows installing, updating and removing server-side components locally on a server.


Activate license on SQL Server instance

License activation for SQL Server instance is performed by means of License activation wizard. Use the Activate license server context menu item to launch this wizard.

There are four methods of activating license on SQL Server instance:

  • online activation;
  • web-site activation;
  • manual re-activation.

Online activation

  1. On the first step of the wizard select the RadioButton Activate EMS SQL Backup for PostgreSQL License online option.
  2. On the second step of the wizard enter License Key. It can be copied from the Members Area or from the e-mail that is received after license purchasing.
  3. On the last step click the Finish button to complete the activation.

Web-site activation

  1. On the first step of the wizard select the RadioButton Activate EMS SQL Backup for PostgreSQL License through our website option.
  2. Register in the Members Area at https://secure.sqlmanager.net/login and open My Registered Products section.
  3. Expand key list for desired product and choose the Activate License action.
  4. Enter automatically generated SQL Server instance ID on the second step into a web form and generate the activation code.
  5. Copy the generated activation code in the License Activation Code field on the third step.
  6. On the last step click the Finish button to complete the activation.

Renew maintenance manually

This option is available if the license key is already activated for prolonging maintenance.

  1. On the first step of the wizard select the RadioButton Enter existing license activation code manually option.
  2. On the second step enter License Activation Code.
  3. On the last step click the Finish button to complete the activation.


Schedule backup database task daily

If you want a backup database task to be executed daily you need to create a policy with a Backup Database step and a schedule with appropriate parameters.

In order to do this perform the following operations:

  1. choose the database in the server explorer and select the Policy Maintenance Policies | CreatePolicy Create New Policy item of its context menu;
  2. on the second step of policy wizard select the Steps section and click the Add Add button;
  3. in the Select Step dialog select the RadioButton Backup Database item;
  4. in the Backup Database step wizard opened configure backup settings; after all wizard steps completion the Backup Database step appears in the Steps list;
  5. select the Schedules section and click the Add Add button;
  6. in the opened Schedule editor set the following parameters:
  • Schedule type - RadioButton Recurring from date,
  • Occurs - Daily,
  • Recurs every - 1 day,
  • Daily frequency - RadioButton Occurs once at,
  • Occurs once at - launch time for backup database task execution;

then press the OK button

  7. complete all steps of the policy wizard.


Create a policy based on predefined templates

There is a set of predefined policies, tasks, steps and schedules in EMS SQL Backup for PostgreSQL that can be used for rapid maintenance policy creation.

All predefined templates with descriptions can be found on the Templates tab.

In order to add a predefined task to a policy you need to proceed to the second step of the Policy wizard, select the Tasks section, click the CreatePolicyTaskFromTemplate Create New from Template button and select the needed task template.

In order to add a predefined step to a task in a policy you need to proceed to the second step of the Policy wizard, select the Steps section, click the CreatePolicyTaskFromTemplate Create New from Template button and select the needed step template.

In order to add a predefined schedule to a task in a policy you need to proceed to the second step of the Policy wizard, select the Schedules section, click the CreatePolicyTaskFromTemplate Create New from Template button and select the needed schedule template.


Configure transaction log shipping

To configure transaction log shipping from one server to another you need to create a policy with a Transaction Log Shipping step.

On the second step of the Transaction Log Shipping wizard you need to set pairs of databases for transaction log shipping. The destination database must be the restored copy of the source database and be in Restoring state. Otherwise use the Overwrite (to rewrite database) or Create new options.

On the third step of the wizard specify the directory on the source server for storing transaction log backups of the source database. Also, set backup parameters.

On the fourth step you need to set the backup shared folder (Network shared folder) for copying transaction log backups of the source database. Backup files will be transferred to the directory set in the Destination folder field. Both source and destination servers should have access to this folder otherwise log shipping cannot be performed.

If you are creating or overwriting a database then after Transaction Log Shipping wizard completion the full source database backup copy is created on a destination server. The destination database is in the restoring state. Transaction log shipping will be performed according to the schedule set in the service task.

Note: On the first step of the policy with Transaction Log Shipping step you need to set RadioButton Use local Console time as absolute time option.


Monitor server productivity counters

Using the Database Parameters Logger maintenance operation you can monitor database parameters and receive notifications when their values do not match specified conditions.

To receive warnings about possible faults you need to include Database Parameters Logger step in a policy. Also you can execute this maintenance action by selecting [image] Quick Maintenance Actions | ServerParametersLogger Database Parameters Logger context menu item of a server or a database.

In case a status of a policy including Database Parameters Logger step changed to Warning after policy execution that means some databases parameters values do not match conditions set on the third step of Database Parameters Logger wizard. To view these parameters and their values select this step in the Launches list and click the Show details button. The information in the dialog appeared will contain a detailed report on step execution result.


Add database/server to an existing policy

There are several ways to add databases or servers to a policy. The way chosen depends on whether the policy was created on a solution or not and on tasks and steps count in a policy.

A policy was created on a solution with databases/servers

  1. If a policy includes a big number of tasks (steps) then do the following:
  • create a template based on this policy (without saving selected databases) by choosing the CreateTemplateFromPolicy Create Template from Policy its context menu item;
  • add needed databases/servers to the existing solution;
  • create policy on a renewed solution based on the created template by choosing the Policy Maintenance Policies | CopyFromTemplate Create from Templates of the solution context menu item.
  2. If a policy includes several tasks (steps) then it is recommended to open every step editor and check needed databases/servers on a Selection tab.

A policy was created on separate databases/servers

  1. If a policy includes a big number of tasks (steps) then it is recommended to do the following:
  • unite databases/servers from this policy into a solution and then add needed databases/servers to it;
  • create a template based on this policy (without saving selected databases) by choosing the CreateTemplateFromPolicy Create Template from Policy its context menu item;
  • create a policy based on this template on the created solution by using the Policy Maintenance Policies | CopyFromTemplate Create from Templates solution context menu item.
  2. If a policy includes several tasks (steps) then it is recommended to open every step editor and check needed databases/servers on a Selection tab.


Create a policy rapidly on several servers/databases

The most efficient way to create a policy rapidly on several servers/databases is to create it on a solution that unites these servers/databases.

In order to create a policy rapidly on several servers or databases perform the following operations:

  1. create a solution by selecting iconNewSubFolder Create Solution context menu item of Solutions section;
  2. move needed databases/servers to this solution;

Note: One solution cannot include both databases and servers.

  3. Select the Policy Maintenance Policies | CopyFromTemplate Create New Policy solution context menu item to create a new policy. All databases/servers will be checked automatically in creating steps in this policy.


Transfer policy tasks to another set of databases/servers

There are several ways to transfer policy tasks from one set of databases/servers to another. The way chosen depends on whether the policy was created on a solution or not and on tasks and steps count in a policy.

A policy was created on a solution with databases/servers

  1. If a policy includes a big number of tasks (steps) then do the following:
  • create a template based on this policy (without saving selected databases) by choosing the CreateTemplateFromPolicy Create Template from Policy its context menu item;
  • create a new solution and add needed databases/servers to it;
  • create policy on this solution based on the created template by choosing the Policy Maintenance Policies | CopyFromTemplate Create from Templates of the solution context menu item.
  2. If a policy includes several tasks (steps) then it is recommended to open every step editor and check needed databases/servers on a Selection tab.

A policy was created on separate databases/servers

  1. If a policy includes a big number of tasks (steps) then it is recommended to do the following:
  • unite databases/servers on which you want to transfer policy into a solution;
  • create a template based on this policy (without saving selected databases) by choosing the CreateTemplateFromPolicy Create Template from Policy its context menu item;
  • create a policy based on this template on the created solution by using the Policy Maintenance Policies | CopyFromTemplate Create from Templates solution context menu item.
  2. If a policy includes several tasks (steps) then it is recommended to open every step editor and check needed databases/servers on a Selection tab.


Reveal a reason of a failed policy execution

If a server has at least one policy with status Failed then the server status contains Policies have problems message.

To reveal a policy with erroneous execution you need to find a policy with a Failed status in the Policies list. This status means that at least one policy task execution was erroneous.

When you select this policy task in the Policies list the Launches list shows information on all task launches. Select a task with a Failed status and click the Show details button in the Message column. In the dialog appeared the reason of failed execution will be displayed in the Message field

If the problem occurred on policy execution has been resolved you can restore succeeding policy status.


Restore successful policy status

If you have revealed a reason of why a policy did not run or failed after execution you can repair its overall status that means to change erroneous policy statuses (Failed, Missed, Aborted and Warning) to Ignored and repeat erroneous tasks if needed. This can be done on several ways.

  • Click the Resolve button located under the server status. In the dialog appeared all problem tasks of all policies will be listed. You can change erroneous status to Ignored and/or execute all problem tasks of all policies. In this case overall status of every policy will be changed based on last launches of erroneous tasks.
  • Select the erroneous policy in the Policies list and then choose the Resolve the Problem item of its context menu. In the opened dialog you will be proposed to change statuses of all erroneous policy tasks to Ignored and/or execute all problem tasks of this policy. In this case overall status of this policy will be changed based on last launches of its erroneous tasks.
  • Select the erroneous policy task in the Policies list and then choose the Resolve the Problem item of its context menu. In the opened dialog you will be proposed to change status of this erroneous policy task to Ignored and/or repeat its execution. In this case overall status of this policy will be changed based on a last launch of this erroneous task.

Using a context menu of an erroneous task in the Launches list you can change to Ignored (Ignore Errors for Selected Launches) its status or statuses of all erroneous tasks (Ignore Errors for All Problem Launches).


Convert SQL Server maintenance plan to SQL Backup policy

EMS SQL Backup for PostgreSQL
  • Index

Convert SQL Server maintenance plan to EMS SQL Backup for PostgreSQL policy

Configured SQL Server maintenance plans can be used in EMS SQL Backup for PostgreSQL after their conversion to EMS SQL Backup for PostgreSQL policies.

To convert SQL Server maintenance plan to EMS SQL Backup for PostgreSQL policy perform the following operations:

  1. Select the Policy Maintenance Policies | ConvertfromMaintenanceplan Convert from Maintenance Plan server context menu item to launch Maintenance plan conversion wizard.
  2. On the second step of the wizard select the maintenance plan for conversion.
  3. On the third step of the wizard you can view conversion results. Maintenance plan subplans are converted to policy service tasks. In case some mistakes occurred on maintenance plan conversion you can correct them in the policy editor that is launched by clicking the Edit Policy button.
  4. It is recommended to check the CheckBox Disable Maintenance plan option to disable tasks execution in maintenance plan being converted.
  5. On the last step view conversion settings and click the Finish button. Created policy appears in the list on the Policies tab.


Manage templates effectively

Using the templates tool of EMS SQL Backup for PostgreSQL you can create saved into EMS SQL Backup for PostgreSQL configuration policies, tasks, steps and schedules settings.

In order to create a template proceed to the Templates tab and choose an object type (policy, task, step or schedule) which template you want to create. Then click the Add button located on the toolbar or in the context menu.

If you already have a configured policy on a group of databases or servers you can create its template. In order to do this proceed to the Policies tab and select the CreateTemplateFromPolicy Create Template from Policy its context menu item.

Also you can create templates of existing tasks, steps and schedules. To do this you need to:

  • open the policy including these objects in the policy editor;
  • select the CopyToTemplate Copy to Templates context menu item of the object which template you want to create.

All saved templates can be later used for creating policies.

In order to create a policy based on a template you need to select the CopyFromTemplate Create Policy from Template context menu item of a policies list on the Policies tab. In the Item Selection dialog choose the needed template (or several templates). The policy editor will be opened. All tasks included in the template will be automatically added to the policy being created.

In order to create a task/step/schedule based on a template in a policy use the AddNewFromTemplate Add New from Template context menu item or the toolbar corresponding button on the second step of the policy wizard. The added object can be opened in its editor afterwards to change some parameters if needed.

Templates tab contains a list of all predefined templates as well as templates created by user. You can save a template into *.xml file by selecting the ExportTemplate Export its context menu item. Also you can load saved templates using the ImportTemplate Import button. This ability allows copying templates from one EMS SQL Backup for PostgreSQL configuration to another.

See also:

Create a policy based on predefined templates


Configure policy notifications

You can configure notifications that will inform you about policy execution result via e-mail.

Notification parameters are set on the third step of the policy wizard.

You need to set an action on which notifications should be sent:

  • When the policy succeeds - send the message when policy tasks have been successfully completed;
  • When the policy fails - send the message when policy has failed;
  • When the policy completes - send the message when policy has been launched.

In the Send E-mail To field enter the e-mail address of the administrator that should receive messages generated on policy execution.

SQL Server Agent must be configured to use Database Mail for sending e-mail.

Note: Email agent options should be set for the service at Server-side components Properties.


Create a report on policy execution

Using the reports tool you can view information on policy tasks execution that is displayed in the Launches section as well as save reports to files of different formats and send them via email.

To generate a report on task execution you need to click the Reports Report button on the toolbar of the Launches section or select the Reports Show Report context menu item of a task.

There are three types of reports:

  • Single-server report
  • Multi-server report
  • Detailed task report

Single-server report

This report can be viewed when a single server is selected in the explorer and a policy deployed on this server is selected in the Policies area. If a policy deployed on several servers is selected in Policies area a report will include information on launches of this policy only on the selected server. The report displays brief information on tasks of the selected policy including task name, planned start, time started, time finished and task status.

Multi-server report

Multi-server report is available when a policy deployed on multiple servers is selected in the Policies area. Besides, a group or a solution must be selected in the Servers area. The report displays brief information on tasks of the selected policy including task name, server name, planned start, time started, time finished and task status.

Detailed task report

Task report is available when a particular task is selected in the Policies area. This report displays a detailed information on a task and its steps of the selected policy including task name, planned start, time started, time finished, task/step status and execution message (information, warning or error).


Ensure simultaneous policy execution on servers from different time zones

To ensure simultaneous policy tasks launches on servers located in different time zones you need to select the RadioButton Use local Console time as absolute time option on the first step of the policy wizard.

In this case a policy will be executed on all servers at the time corresponding to the local EMS SQL Backup for PostgreSQL Console taking into consideration time zones where servers are located.


Update EMS SQL Backup

EMS SQL Backup for PostgreSQL
  • Index

Update EMS SQL Backup for PostgreSQL

EMS SQL Backup for PostgreSQL update process consists of EMS SQL Backup for PostgreSQL Administration Console and Server-side components update.

In order to update EMS SQL Backup for PostgreSQL Administration Console, please, do the following:

  • download the full installation package of EMS SQL Backup for PostgreSQL from the download page available at our site;
  • close EMS SQL Backup for PostgreSQL application if it is running;
  • repeat the steps you have made for the first-time installation;
  • run EMS SQL Backup for PostgreSQL using its shortcut in the corresponding group of Windows Start menu.

After EMS SQL Backup for PostgreSQL Administration Console is launched you will be warned that server-side components version is out-of-date. You will be offered to update server-side components. This is done by means of Update/Remove server-side EMS SQL Backup for PostgreSQL components.

If you do not have permissions for remote update of server-side components via EMS SQL Backup for PostgreSQL Administration Console you can copy EMS SQL Backup for PostgreSQL setup file to the server machine and run installation there. Server-side components update process locally on a server is similar to their installation process and is performed by means of Stand-alone remote components Installer. To update server components you need to select the CheckBox Update option and then select instances on which you want to update components.


Remove EMS SQL Backup

EMS SQL Backup for PostgreSQL
  • Index

Remove EMS SQL Backup for PostgreSQL

In order to remove EMS SQL Backup for PostgreSQL perform the following operations:

  1. Remove server-side components from all servers they were installed. This is done by means of Update/Remove server-side EMS SQL Backup for PostgreSQL components that is launched by selecting the Update/Remove server-side EMS SQL Backup for PostgreSQL components server context menu item.
  2. Remove EMS SQL Backup for PostgreSQL Administration Console from your computer via Control Panel -> Programs and Features.

Note: If you do not have permissions for remote of server-side components uninstall via EMS SQL Backup for PostgreSQL Administration Console you can copy EMS SQL Backup for PostgreSQL setup file to the server machine and run installation there. Server-side components remove process locally on a server is similar to their installation process and is performed by means of Stand-alone remote components Installer. To remove server components you need to select the RadioButton Uninstall option on the Selecting operation type step.


Report bugs and suggestions

If you want to report a bug occurred in the application or just provide some feedback you can do it directly from the EMS SQL Backup for PostgreSQL. Before reporting bugs and suggestions make sure you are using the latest version of the EMS SQL Backup for PostgreSQL.

To create an e-mail with attached bug report files automatically do the following:

  1. select the server on which the problem occurred in the Servers tree;
  2. choose the Send bug report to EMS its context menu item;
  3. after a while the default mail client installed on your computer will be opened with newly created letter having bug report files attached to it;
  4. in the generated e-mail describe the steps to reproduce the occurred bug and send the letter.

If due to some reasons the e-mail creation failed or the report sending was cancelled the following dialog appears.

Follow the given instructions to create bug report e-mail manually:

  1. click the "mailto:" link sqlangelreports@sqlmanager.net to open mail client, or in case no client has been opened copy the address by clicking the Copy to clipboard button and create e-mail in a preferable client;
  2. click the Save and open folder button and define the directory where the bug report file should be saved; after the file is saved the defined directory will be opened automatically;
  3. attach the saved file to the created e-mail;
  4. describe the steps to reproduce the occurred bug and send the letter.


Use Free version of EMS SQL Backup

In order to use EMS SQL Backup Free version you need to activate the Free license key. Note that for activating Free license you need Internet connection.

  1. Open the License activation wizard from the SQL Server instance context menu.
  2. On the first step of the wizard select the RadioButton Activate EMS SQL Backup for PostgreSQL License online option.
  3. On the second step of the wizard select the RadioButton Free option as a License type.
  4. Complete the wizard steps.

The list of all functional differences between EMS SQL Backup versions can be found in the Feature Matrix.


Setup uploading backup files to different storage locations (Network folders/FTP/SFTP/Clouds)

EMS SQL Backup for PostgreSQL provides the possibility to save backup files not only in the standard backup folder but also upload their copies to different external storages.

If you want to configure uploading of backup files to different storages perform the following actions.

  1. Open the Options dialog and proceed to the Cloud Connections tab.
  2. Click the Create new connection button and select the connection type in the opened dialog: SMB/CIFS, FTP, Amazon S3 Cloud, Secure FTP, Microsoft Azure.
  3. Depending on the type selected the relevant dialog for configuring connection properties appears.
  4. After all connection properties are set click the OK button. The specified connection appears in the list of Cloud connections.
  5. After that on configuring backup operation proceed to the Specifying cloud connections step of the wizard and click the Add existing connection button.
  6. Select the connection from the list. You can add as many connections as you need.